unofficial mirror of notmuch@notmuchmail.org
 help / color / mirror / code / Atom feed
From: David Bremner <david@tethera.net>
To: notmuch@notmuchmail.org
Subject: [PATCH 2/4] perf-test: add simple test for thread subqueries
Date: Sat,  5 May 2018 13:05:21 -0300	[thread overview]
Message-ID: <20180505160523.9749-3-david@tethera.net> (raw)
In-Reply-To: <20180505160523.9749-1-david@tethera.net>

This is not a particularly sensible query, but thread:{date:2010} is a
good way to generate fairly large intermediate queries.
---
 performance-test/T04-thread-subquery.sh | 13 +++++++++++++
 1 file changed, 13 insertions(+)
 create mode 100755 performance-test/T04-thread-subquery.sh

diff --git a/performance-test/T04-thread-subquery.sh b/performance-test/T04-thread-subquery.sh
new file mode 100755
index 00000000..665d5a64
--- /dev/null
+++ b/performance-test/T04-thread-subquery.sh
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+test_description='thread subqueries'
+
+. $(dirname "$0")/perf-test-lib.sh || exit 1
+
+time_start
+
+time_run "search thread:{} ..." "notmuch search thread:{date:2010} and thread:{from:linus}"
+time_run "search thread:{} ..." "notmuch search thread:{date:2010} and thread:{from:linus}"
+time_run "search thread:{} ..." "notmuch search thread:{date:2010} and thread:{from:linus}"
+
+time_done
-- 
2.17.0

  parent reply	other threads:[~2018-05-05 16:05 UTC|newest]

Thread overview: 15+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-05-05 16:05 Thread subqueries David Bremner
2018-05-05 16:05 ` [PATCH 1/4] lib: add thread subqueries David Bremner
2018-05-06 17:59   ` Jani Nikula
2018-05-05 16:05 ` David Bremner [this message]
2018-05-05 16:05 ` [PATCH 3/4] lib: define specialized get_thread_id for use in thread subquery David Bremner
2018-05-06 18:03   ` Jani Nikula
2018-05-05 16:05 ` [PATCH 4/4] doc: document thread subqueries David Bremner
2018-05-06 18:05   ` Jani Nikula
2018-05-07 12:09 ` Thread subqueries David Bremner
2018-05-07 12:39   ` Gaute Hope
2018-05-11  8:43   ` Daniel Kahn Gillmor
2018-05-11 10:15     ` David Bremner
2018-05-11 15:41       ` Daniel Kahn Gillmor
2018-05-12 13:24         ` Tomi Ollila
2018-05-12 14:01           ` David Bremner

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

  List information: https://notmuchmail.org/

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20180505160523.9749-3-david@tethera.net \
    --to=david@tethera.net \
    --cc=notmuch@notmuchmail.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
Code repositories for project(s) associated with this public inbox

	https://yhetil.org/notmuch.git/

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).